#4 Broken readline dependency

release 0.1.2
closed
nobody
None
5
2015-06-14
2009-07-11
dante4d
No

Since update of readline to version 6, pwsafe cannot start because of missing dependency:
pwsafe: error while loading shared libraries: libreadline.so.5: cannot open shared object file: No such file or directory
I feel like this is the end of the road for pwsafe, as it's unmaintainded. Let's see what can I do about it.

Discussion

  • dante4d
    dante4d
    2009-07-11

    Oh come on... By symlinking /lib/libreadline.so.6 to /lib/libreadline.so.5, pwsafe works again. That's cheap...

     
  • Nicolas Dade
    Nicolas Dade
    2015-06-14

    The symlink is indeed cheap, and if pwsafe used libreadline's more complicated features would have not worked.

    The right thing to do is to recompile pwsafe. (./configure; make; make install)

    That will find the new libreadline and compile and link against it.

    If you're going to do this, you might as well pull the latest source from https://github.com/nsd20463/pwsafe and get some bug fixes and tweaks.

     
  • Nicolas Dade
    Nicolas Dade
    2015-06-14

    • status: open --> closed
    • Group: --> release 0.1.2